Jump to content

Hachurer des polygones


Recommended Posts

Bonjour à tous,

Je cherche à créer des hachures dans un calque rempli de polygones.

J'utilise donc la fonction "hachures" de ma barre d'outils, sélectionne mon motif de hachures, puis mes objets et valide.

Et là, j'obtiens bien des polygones remplis par ma hachure, mais une seule hachure pour l'ensemble des polygones, pas une hachure "indépendante" par polygone.

Peut-on créé une hachure pour un polygone mais de manière automatique sur l'ensemble du calque (parce que créé 1500 hachures unes à unes....) ?

Merci de vos réponses.

 

Alain

Link to post
Share on other sites

Bonjour,

 

Depuis les versions 2006 et LT 2006, c'est quelque chose de standard, une simple option à cocher-décocher pour créer ou NON des hachures séparées !...

 

Sinon, il reste le LISP...

 

Christian

Formateur, Consultant Expert AutoCAD, REVIT MEP, INVENTOR, télécharger , des Outils AutoCAD...

cad123 @ wanadoo.fr (enlever les espaces de part et d'autre de @)

Link to post
Share on other sites

Salut,

 

un petit truc vite fait (pas de contrôle des entités sélectionnées)

 

(defun c:hsep (/ n ss)
 (if (setq n  -1
    ss (ssget)
     )
   (while (setq ent (ssname ss (setq n (1+ n))))
     (command "_bhatch" "_select" ent "" "")
   )
 )
 (princ)
)

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
ADSK_Expert_Elite_Icon_S_Color_Blk_125.png

Link to post
Share on other sites

Salut,

 

Comme tu es dans le forum 2000 à 2002, je te renvoie aussi à ce post bien précis pour un truc individuel ET un angle de motif variable selon la figure (le plus long coté).

 

C'est le même principe que t'a exposé (gile) ;)

 

[Edité le 1/10/2010 par bonuscad]

Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius

Link to post
Share on other sites

Re,

 

Je ne sais plus sur une vieille version,...

 

En double cliquant sur une hachure, ouverture de la BD, as-tu une option "supprimer un contour" ?(Ou quelque chose du genre,...)

 

Peux-tu poster une image de ta boite de dialogue des hachures STP ?

Civil 3D 2022 - COVADIS_17.1d

https://www.linkedin...3%ABt-95313341/

Link to post
Share on other sites

Dans la commande _.-HATCH (en ligne de commande)

 

Lors du choix du modèle de hachure, rajouter: ,_outermost au nom du modèle.

 

exemple:

 

Entrez un nom de motif ou [?/Solid/Utilisateur] :

Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius

Link to post
Share on other sites

ça ne marche pas mieux

 

Bizarre...

 

Même en déclarant la variable HPNAME au préalable?

 

Ex:

 

Entrez une nouvelle valeur pour HPNAME : ansi31,_outermost

Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius

Link to post
Share on other sites

Voici l'historique des commandes que j'utilise :

 

Commande: _hatch

Entrez le nom du modèle ou [?/Solid/Utilisateur] : ansi37,_outermost

Spécifiez l'échelle du modèle <1.0000>: 5.0

Spécifiez l'angle du modèle <0>: 0

Sélectionnez les objets dont vous voulez définir le contour des hachures ou

,

Choix des objets: 1 trouvé(s)

 

Au final, après sélection du contour, la hachure créée concerne le "grand contour" mais n'ignore pas l'intérieur.

Link to post
Share on other sites

Non, je ne peux pas mettre le fichier en ligne, confidentialité oblige.

Ce que je souhaite faire par rapport à la capture d'écran déjà en ligne, c'est avoir le carré du centre vide et un hachure entre l'extérieur de ce carré et le grand carré qui le contient.

En gros, un désenclavement ou une extrusion mais en version hachure.

Link to post
Share on other sites

Salut,

 

Il me semble bien que la détection des ilots ne fonctionne qu'avec la sélection par point à l'intérieur du contour. La sélection d'entités fermées sert justement à ignorer les entités "interférantes".

Gilles Chanteau - gileCAD -
Développements sur mesure pour AutoCAD
ADSK_Expert_Elite_Icon_S_Color_Blk_125.png

Link to post
Share on other sites

Choix des objets: 1 trouvé(s)

 

Pourquoi qu'un seul objet? Tu devrait en avoir au moins 2 pour que l'option d'ilot interne fonctionne si tu choisis tes objets et non un point interne.

 

En tout cas pour moi avec sélection des objets, ça fonctionne.

Choisissez un travail que vous aimez et vous n'aurez pas à travailler un seul jour de votre vie. - Confucius

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
×
×
  • Create New...